Package ch.qos.logback.core.helpers

# Class Transform

java.lang.Object
ch.qos.logback.core.helpers.Transform

public class Transform extends Object
Utility class for transforming strings.

Author:
  Ceki Gülcü, Michael A. McAngus

## Constructor Summary

Constructors
Constructor
Description
`Transform()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`appendEscapingCDATA(StringBuilder output, String str)`
Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
`static String`
`escapeTags(String input)`
This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<','>' ...
`static String`
`escapeTags(StringBuffer buf)`
This method takes a StringBuilder which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Transform

public Transform()

## Method Details

### escapeTags

public static String escapeTags(String input)
This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<','>' ... characters with respective predefined entity references.

Parameters:
  `input` - The text to be converted.

### escapeTags

public static String escapeTags(StringBuffer buf)
This method takes a StringBuilder which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

Parameters:
  `buf` - StringBuffer to transform
Returns:

### appendEscapingCDATA

public static void appendEscapingCDATA(StringBuilder output, String str)
Ensures that embedded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

Parameters:
  `output` - Writer. The initial CDSutart (<![CDATA[) and final CDEnd (]]>) of the CDATA section are the responsibility of the calling method.
  `str` - The String that is inserted into an existing CDATA Section.